#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n, k, pok, br = 0;
    cin >> n >> k;
    long long p[n * 2 + 1];
    for(int i = 0 ; i < n * 2 + 1 ; i++){
        p[i] = 0;
    }
    for(int i = 0 ; i < n ; i++){
        cin >> pok;
        if(pok < 0) p[pok * -1]++;
        else p[pok + n]++;
    }
    for(int i = 0 ; i < n * 2 ; i++){
        if(p[i] >= k) br++;
    }
    cout << br << endl;
    for(int i = 0 ; i < n * 2 ; i++){
        if(p[i] >= k && i < n) cout << i * -1 << " ";
        else if(p[i] >= k) cout << i - n << " ";

    }

    return 0;
}